#include<bits/stdc++.h>
using namespace std;
string t1(long long a)
{
    string c;
    for(a; a!=0 && c.size()<4; a/=10) c.push_back(a%10+'0');
    if(c.size()==0) c.push_back('0');
    return c;
}
long long t2(string s)
{
    long long a=0;
    for(int i=0; i<s.size(); i++)
    {
        a*=10;
        a+=(s[i]-'0');
    }
    return a;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long n, a, b, ans;
    cin>>n>>a>>b;
    for(int i=2; i<n; i++)
    {
        ans=a*b;
        string s=t1(ans);
        reverse(s.begin(), s.end());
        for(int i=0; i<s.size(); i++)
        {
            if(s[i]=='0') s[i]='9';
            else s[i]=s[i]-1;
        }
        long long num;
        num=t2(s);
        num%=1000;
        a=b;
        b=num;
    }
    cout<<b;
    return 0;
}
